# Uses of Interface
org.w3c.dom.NamedNodeMap

Packages that use NamedNodeMap
Package
Description
javax.imageio.metadata
A package of the Java Image I/O API dealing with reading and writing metadata.
org.w3c.dom
Provides the interfaces for the Document Object Model (DOM).

## Uses of NamedNodeMap in javax.imageio.metadata

Methods in javax.imageio.metadata that return NamedNodeMap
Modifier and Type
Method
Description
`NamedNodeMap`
IIOMetadataNode.`getAttributes()`
Returns a `NamedNodeMap` containing the attributes of this node.

## Uses of NamedNodeMap in org.w3c.dom

Methods in org.w3c.dom that return NamedNodeMap
Modifier and Type
Method
Description
`NamedNodeMap`
Node.`getAttributes()`
A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.
`NamedNodeMap`
DocumentType.`getEntities()`
A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD.
`NamedNodeMap`
DocumentType.`getNotations()`
A `NamedNodeMap` containing the notations declared in the DTD.